Subject: RE: draft-ietf-ipr-rules-update-00.txt

From: "Contreras, Jorge" <[email-masked]>
Date: Thu, 6 Oct 2005 22:21:32 -0400

Larry,

Thanks for the note regarding "Baker v. Selden".  It's one of
my favorite old chestnuts.  If you're interested in legal trivia, you'll
be pleased to know that the author of the opinion, Justice Joseph P.
Bradley, was a Republican activist.  When
President Grant nominated him to the Supreme Court in 1870, he had absolutely
no prior judicial experience.  The Senate confirmed him 46-9; he served
for 21 years.

But seriously, we all know that the IETF rules regarding copyright 
relate to *documents* and *text* and *computer code*, all of which 
are clearly covered by copyright protection in the U.S.  "Specifications
for software standards" as you refer to them are *written* documents.
The authors have copyrights in them.  In order to reproduce, display and
publish them, one needs a license under those copyrights.  It's all 
pretty banal, but that's the law and I don't think there's any 
disagreement there.

The more interesting question, and the one that you may really be getting
at, is whether there is protection in the ideas that these written
documents embody.  And we all know that protection for ideas
is really provided by patents, not copyrights.  So if your real point is that
patents shouldn't cover the implementation of standards, then I
can understand the position.  Nobody, however, is saying that the 
document copyright would prevent somebody from implementing a standard,
unless actual code from the RFC (as is the case with MIBs, PIBs, etc.)
had to be copied from the text.

Though interesting, these issues really have little to do with the copyright policy that we've
been discussing.  If anything, you have a dispute with the PTO, who grants
patents that cover such things, or with the IETF IP Policy (BCP 79), which
recognizes that its participants may hold such patents, or with the 
concept of patents themselves.  Those are all legitimate views to espouse
and I'd welcome the debate in some context other than this fairly 
technical exercise, which is just intended to correct some omissions from
the IETF copyright policy.

Best regards,
Jorge

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf
Of Lawrence Rosen
Sent: Thursday, October 06, 2005 2:54 PM
To: [email-masked]
Subject: RE: draft-ietf-ipr-rules-update-00.txt

I support Simon's efforts. That said, I also find parts of the current IETF
policy unenforceable as a matter of copyright law:

   "In no case does copyright protection for an original work of authorship
   extend to any idea, procedure, process, system, method of operation,
   concept, principle, or discovery, regardless of the form in which it
   is described, explained, illustrated, or embodied in such work."
   17 U.S.C. 102(b).

I can think of no better example of such a situation than a specification
for a software standard.

To the extent that an IETF specification contains code or specific
procedures that must be followed to be compatible, I fail to see how that is
copyrightable expression. This principle of copyright law has been around
since Baker v. Selden was decided by the U.S. Supreme Court more than a
century ago, and it has been affirmed in the era of computer software many
times since. 

It would probably be infringement for someone to copy an entire IETF
specification, or perhaps even to copy the words that surround the normative
rules, but nobody can claim copyright protection to prevent the normative
rules from being implemented (and that implementation described) by copying
them.

It would be a gross perversion of the constitutional and statutory copyright
and patent scheme if IETF -- or any other standards organization -- could
prevent the implementation or improvement of a published specification by
necessarily copying them and/or creating derivative works, in the absence of
a patent.

Here's some of what the Court said in Baker v. Selden:

   "Charles Selden, by his books, explained and described a peculiar
   system of book-keeping, and illustrated his method by means of 
   ruled lines and blank columns, with proper headings on a page, 
   or on successive pages. Now, whilst no one has a right to print 
   or publish his book, or any material part thereof, as a book 
   intended to convey instruction in the art, any person may 
   practise and use the art itself which he has described and 
   illustrated therein. The use of the art is a totally different
   thing from a publication of the book explaining it. The copyright 
   of a book on book-keeping cannot secure the exclusive right to
   make, sell, and use account-books prepared upon the plan set 
   forth in such book. Whether the art might or might not have 
   been patented, is a question which is not before us. It was not 
   patented, and is open and free to the use of the public. And, 
   of course, in using the art, the ruled lines and headings of 
   accounts must necessarily be used as incident to it.
   101 U.S. 99, 104 (1879).

While there are many reasons not to apply Baker v. Selden as if it were a
bright-line rule, the IETF policy does not properly acknowledge the effects
of the long line of cases that followed Baker in which the courts enunciated
the doctrine of merger ["copyright protection is denied to expression that
is inseparable from the ideas, processes or facts underlying the
expression"] and the doctrine of scenes a faire ["copyright protection is
denied to elements of a program that are dictated by external factors, such
as compatibility requirements and industry-wide programming practices"].

/Larry 

Lawrence Rosen
Rosenlaw & Einschlag, technology law offices (www.rosenlaw.com)
3001 King Ranch Road, Ukiah, CA 95482
707-485-1242  *  fax: 707-485-1243
Author of "Open Source Licensing: Software Freedom and 
   Intellectual Property Law" (Prentice Hall 2004) 
   [Available also at www.rosenlaw.com/oslbook.htm]

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "Lawrence Rosen" <[email-masked]>
Date: Thu, 6 Oct 2005 20:03:51 -0700

> But seriously, we all know that the IETF rules regarding 
> copyright relate to *documents* and *text* and *computer 
> code*, all of which are clearly covered by copyright 
> protection in the U.S.  "Specifications for software 
> standards" as you refer to them are *written* documents.
> The authors have copyrights in them.  In order to reproduce, 
> display and publish them, one needs a license under those 
> copyrights.  It's all pretty banal, but that's the law and I 
> don't think there's any disagreement there.

Jorge,

There is quite definitely a disagreement here. The courts obviously
recognize that such works are *written*. They are just not always
*copyrightable*.

Any attempt by IETF to *prevent* anyone from copying and improving normative
code in IETF specifications will be met by this Baker v. Selden argument. To
be perfectly clear, there can be no IETF policy that prohibits the copying
of written words in IETF specifications if doing so is necessary to
implement those specifications or improvements thereof. You cannot presume
the copyrightability of functional code necessary to implement or improve
IETF specifications.

IETF's policy in this respect is overreaching, as are the policies of many
standards organizations. 

If we can't get agreement for IETF to *explicitly* allow copying and
derivative works, then we'll just pass the word around that we can
comfortably ignore any IETF restriction on doing exactly what we need --
that is, to create open source implementations and derivative works using
the normative code in IETF specifications -- subject *only* to patents. (In
any event, will IETF ever sue for copyright infringement?)

Baker ain't a chestnut. It's a real case with real implications for industry
standard software, especially if you consider more recent software-related
cases expounding on the doctrines of merger and scenes a faire in the world
of software.

There's no reason why we should acquiesce to some in IETF who are willing to
make life more difficult for open source implementations or to constrain
people's freedom to create improvements of IETF specifications even outside
of IETF.

As I said in the first sentence of my email, "I support Simon's efforts." If
he and the others in the IPR-WG can work out compromise wording that gives
free and open source implementers what they need, I'll be fine with that.

As for the IETF patent policy to which you refer, I'll hold my words for now
and in this thread. Many on here have heard them already anyway.

I appreciated reading your history of the justice who wrote the Baker
decision. The relevance to current events is obvious. :-)

/Larry 

> From: Contreras, Jorge [mailto:[email-masked]] 
> Sent: Thursday, October 06, 2005 7:22 PM
> To: [email-masked]; [email-masked]
> my favorite old chestnuts.  If you're interested in legal 
> trivia, you'll be pleased to know that the author of the 
> opinion, Justice Joseph P.
> Bradley, was a Republican activist.  When President Grant 
> nominated him to the Supreme Court in 1870, he had absolutely 
> no prior judicial experience.  The Senate confirmed him 46-9; 
> he served for 21 years.
> 
> But seriously, we all know that the IETF rules regarding 
> copyright relate to *documents* and *text* and *computer 
> code*, all of which are clearly covered by copyright 
> protection in the U.S.  "Specifications for software 
> standards" as you refer to them are *written* documents.
> The authors have copyrights in them.  In order to reproduce, 
> display and publish them, one needs a license under those 
> copyrights.  It's all pretty banal, but that's the law and I 
> don't think there's any disagreement there.
> 
> The more interesting question, and the one that you may 
> really be getting at, is whether there is protection in the 
> ideas that these written documents embody.  And we all know 
> that protection for ideas is really provided by patents, not 
> copyrights.  So if your real point is that patents shouldn't 
> cover the implementation of standards, then I can understand 
> the position.  Nobody, however, is saying that the document 
> copyright would prevent somebody from implementing a 
> standard, unless actual code from the RFC (as is the case 
> with MIBs, PIBs, etc.) had to be copied from the text.
> 
> Though interesting, these issues really have little to do 
> with the copyright policy that we've been discussing.  If 
> anything, you have a dispute with the PTO, who grants patents 
> that cover such things, or with the IETF IP Policy (BCP 79), 
> which recognizes that its participants may hold such patents, 
> or with the concept of patents themselves.  Those are all 
> legitimate views to espouse and I'd welcome the debate in 
> some context other than this fairly technical exercise, which 
> is just intended to correct some omissions from the IETF 
> copyright policy.
> 
> Best regards,
> Jorge
> 
> 
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of Lawrence Rosen
> I support Simon's efforts. That said, I also find parts of 
> the current IETF policy unenforceable as a matter of copyright law:
> 
> I can think of no better example of such a situation than a 
> specification for a software standard.
> 
> To the extent that an IETF specification contains code or 
> specific procedures that must be followed to be compatible, I 
> fail to see how that is copyrightable expression. This 
> principle of copyright law has been around since Baker v. 
> Selden was decided by the U.S. Supreme Court more than a 
> century ago, and it has been affirmed in the era of computer 
> software many times since. 
> 
> It would probably be infringement for someone to copy an 
> entire IETF specification, or perhaps even to copy the words 
> that surround the normative rules, but nobody can claim 
> copyright protection to prevent the normative rules from 
> being implemented (and that implementation described) by copying them.
> 
> It would be a gross perversion of the constitutional and 
> statutory copyright and patent scheme if IETF -- or any other 
> standards organization -- could prevent the implementation or 
> improvement of a published specification by necessarily 
> copying them and/or creating derivative works, in the absence 
> of a patent.
> 
> While there are many reasons not to apply Baker v. Selden as 
> if it were a bright-line rule, the IETF policy does not 
> properly acknowledge the effects of the long line of cases 
> that followed Baker in which the courts enunciated the 
> doctrine of merger ["copyright protection is denied to 
> expression that is inseparable from the ideas, processes or 
> facts underlying the expression"] and the doctrine of scenes 
> a faire ["copyright protection is denied to elements of a 
> program that are dictated by external factors, such as 
> compatibility requirements and industry-wide programming practices"].
> 
> /Larry 
> 
> Lawrence Rosen